[GTK][jhbuild] Switch to GStreamer 1.0 build
authorphiln@webkit.org <philn@webkit.org@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Tue, 11 Dec 2012 09:42:32 +0000 (09:42 +0000)
committerphiln@webkit.org <philn@webkit.org@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Tue, 11 Dec 2012 09:42:32 +0000 (09:42 +0000)
commitace6cc9730b0b85ba88e8f69fd3fecb9fae656a2
treeb3049fffa360331c50563e41b1a79b4a362a62f7
parent0825bdee5c78dffa2dca5e84331f7114fa2ba99a
[GTK][jhbuild] Switch to GStreamer 1.0 build
https://bugs.webkit.org/show_bug.cgi?id=91727

Patch by Xabier Rodriguez Calvar <calvaris@igalia.com> on 2012-12-11
Reviewed by Philippe Normand.

Switch build-webkit --gtk to GStreamer 1.0 support and build the
necessary GStreamer git modules from JHBuild.

.:

* configure.ac: Removed GStreamer unstable API flag, made
GStreamer 1.0 default instead of 0.10 and made required version
1.0.3. In case no GStreamer version is specified, it falls back to
0.10. In case no video or web-audio are requested, GStreamer
and Farstream checks are not performed.

Tools:

* gtk/jhbuild.modules: Added GStreamer 1.0.3 build support.

git-svn-id: https://svn.webkit.org/repository/webkit/trunk@137271 268f45cc-cd09-0410-ab3c-d52691b4dbfc
ChangeLog
Tools/ChangeLog
Tools/gtk/jhbuild.modules
configure.ac